
library(lsmeans)

library(readxl)

library(emmeans)

library(writexl)

library(tidyverse)

library(readxl)

library(lme4)

library(pwr)

library (ggplot2)

f2 <- 0.7
alpha <- 0.05 
power <- 0.8 


k <- 5 


n <- pwr.anova.test(k = k, f = f2/(k-1), sig.level = alpha, power = power)$n
n <- ceiling(n)

paper <- read_xlsx("emot.xlsx")

paper$Emoción_cond <- factor(paper$Emoción_cond)

is.factor(paper$Emoción_cond)


paper$Emoción_condposit <- ifelse(paper$Emoción_cond == "positivo", 1, 0)
paper$Emoción_condnegat <- ifelse(paper$Emoción_cond == "negativo", 1, 0)

modelo <- lm(Amplitud_s ~ Emoción_condposit*Digitos_s + Emoción_condnegat*Digitos_s, data = paper)
summary(modelo)

shapiro.test(modelo$residuals)

qqnorm(modelo$residuals, pch = 1, frame = FALSE)
qqline(modelo$residuals)



